package Chart_DataTable;


import com.grapecity.documents.excel.*;
import com.grapecity.documents.excel.drawing.*;

public class dataTable {

	public static void main(String[] args) {
		// TODO Auto-generated method stub
		
		Workbook workbook = new Workbook();
		workbook.setTheme(Themes.GetIntegral());

		IWorksheet worksheet = workbook.getWorksheets().get(0);

		//Set data.
		worksheet.getRange("A1:E5").setValue(new Object[][] {
            {"Country"      , "Q1"  , "Q2"  , "Q3"  , "Q4" },
            {"Europe"       , 16439 , 18106 , 15193 , 14879},
            {"China"        , 42659 , 14392 , 42284 , 38270},
            {"Japan"        , 44000 , 15039 , 27961 , 34382},
            {"United States", 23174 , 42797 , 23637 , 26200}
           
		});

		
		//Create chart.
		IShape chartCol = worksheet.getShapes().addChart(ChartType.ColumnClustered, 250, 0, 350, 250);
		chartCol.getChart().getSeriesCollection().add(worksheet.getRange("A1:E5"));
		chartCol.getChart().getChartTitle().setText("Quaterly Sales");

		//Display the data table.
		chartCol.getChart().setHasDataTable(true);

		//Configure the data table.
		IDataTable datatable = chartCol.getChart().getDataTable();
		datatable.setShowLegendKey(true);
		datatable.setHasBorderHorizontal(false);
		datatable.getFormat().getLine().getColor().setObjectThemeColor(ThemeColor.Accent6);
		datatable.getFont().getColor().setObjectThemeColor(ThemeColor.Accent2);
		datatable.getFont().setSize(9);
		datatable.getFont().setItalic(true);
		    
		//Save excel with Data table in Chart
		workbook.save("ChartDataTable.xlsx");
		

		//Delete the data table.
		chartCol.getChart().setHasDataTable(false);
	
		//Save excel without Data table in Chart
		workbook.save("ChartNoDataTable.xlsx");
		
		System.out.println("files generated...");
	}

}

